## Transformation Function ################################################

trans <- function(c0){ # Constrains values of regular coefficients
  
  c1 = c0
  c1[1] = c0[1]/(1 + abs(c0[1])) # Constrains MA coefficient to invertible representation
  c1[4:36] = exp(c0[4:36]) # Constrains standard deviations of shocks to be positive
  
  return(c1)
} # End of transformation function